
From: Andries Brouwer <Andries.Brouwer@cwi.nl>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/affs/bitmap.c        |    2 +-
 25-akpm/fs/affs/namei.c         |    2 +-
 25-akpm/include/linux/affs_fs.h |    1 -
 3 files changed, 2 insertions(+), 3 deletions(-)

diff -puN fs/affs/bitmap.c~add-static-in-affs fs/affs/bitmap.c
--- 25/fs/affs/bitmap.c~add-static-in-affs	2004-09-05 15:03:38.905838760 -0700
+++ 25-akpm/fs/affs/bitmap.c	2004-09-05 15:03:38.912837696 -0700
@@ -21,7 +21,7 @@
 
 static int nibblemap[] = { 0,1,1,2,1,2,2,3,1,2,2,3,2,3,3,4 };
 
-u32
+static u32
 affs_count_free_bits(u32 blocksize, const void *data)
 {
 	const u32 *map;
diff -puN fs/affs/namei.c~add-static-in-affs fs/affs/namei.c
--- 25/fs/affs/namei.c~add-static-in-affs	2004-09-05 15:03:38.906838608 -0700
+++ 25-akpm/fs/affs/namei.c	2004-09-05 15:03:38.913837544 -0700
@@ -37,7 +37,7 @@ struct dentry_operations affs_dentry_ope
 	.d_compare	= affs_compare_dentry,
 };
 
-struct dentry_operations affs_intl_dentry_operations = {
+static struct dentry_operations affs_intl_dentry_operations = {
 	.d_hash		= affs_intl_hash_dentry,
 	.d_compare	= affs_intl_compare_dentry,
 };
diff -puN include/linux/affs_fs.h~add-static-in-affs include/linux/affs_fs.h
--- 25/include/linux/affs_fs.h~add-static-in-affs	2004-09-05 15:03:38.908838304 -0700
+++ 25-akpm/include/linux/affs_fs.h	2004-09-05 15:03:38.913837544 -0700
@@ -32,7 +32,6 @@ extern int	affs_copy_name(unsigned char 
 
 /* bitmap. c */
 
-extern u32	affs_count_free_bits(u32 blocksize, const void *data);
 extern u32	affs_count_free_blocks(struct super_block *s);
 extern void	affs_free_block(struct super_block *sb, u32 block);
 extern u32	affs_alloc_block(struct inode *inode, u32 goal);
_
